<template>
<view class="map-service">
<custom-map :category="category" :keyword="keyword"> </custom-map>
</view>
  
</template>
<script>
export default {
  name:'mapService',
  data() {
    return {
      category: "",
      keyword: "",
    };
  },
  onLoad(options) {
    console.log('mapservice options', options);
    if (options.category) {
      this.category = options.category;
    }
    if (options.keyword) {
      this.keyword = options.keyword;
      uni.setNavigationBarTitle({
        title:options.keyword
      })
    }
  },
};
</script>
<style lang="scss" scoped>
.map-service{
  height: 100%;
}
</style>>